Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225916 - Merge Review: isdn4k-utils
Summary: Merge Review: isdn4k-utils
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:07 UTC by Nobody's working on this, feel free to take it
Modified: 2010-02-22 16:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-22 16:45:14 UTC
jreznik: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:07:35 UTC
Fedora Merge Review: isdn4k-utils

http://cvs.fedora.redhat.com/viewcvs/devel/isdn4k-utils/
Initial Owner: than@redhat.com

Comment 1 Jaroslav Reznik 2009-11-27 14:48:10 UTC
- rpmlint: NOT OK!!!

isdn4k-utils.src: W: summary-ended-with-dot Utilities for configuring an ISDN subsystem.
isdn4k-utils.src: W: no-url-tag
isdn4k-utils.src: W: strange-permission isdn.init 0775
isdn4k-utils.src: W: strange-permission capi.init 0775
isdn4k-utils.src: W: strange-permission isdnhangup 0775
isdn4k-utils.src: W: strange-permission isdndial 0775
isdn4k-utils.src: W: strange-permission isdnstatus 0775
isdn4k-utils.src:70: E: prereq-use /sbin/chkconfig
isdn4k-utils.src:71: E: prereq-use /sbin/ldconfig
isdn4k-utils.src:72: E: prereq-use /bin/ln
isdn4k-utils.src:73: E: prereq-use sh-utils
isdn4k-utils.src:220: E: hardcoded-library-path in %{buildroot}/usr/lib/libfreecdb.a
isdn4k-utils.src:221: E: hardcoded-library-path in %{buildroot}/usr/lib/libfreecdbmake.a
isdn4k-utils.src:255: E: hardcoded-library-path in %{_prefix}/lib/X11
isdn4k-utils.src:858: W: macro-in-%changelog %config
isdn4k-utils.src:860: W: macro-in-%changelog %post
isdn4k-utils.src:870: W: macro-in-%changelog %doc
isdn4k-utils.src:948: W: macro-in-%changelog %preun
isdn4k-utils.src: W: mixed-use-of-spaces-and-tabs (spaces: line 177, tab: line 130)

isdn4k-utils.x86_64: W: summary-ended-with-dot Utilities for configuring an ISDN subsystem.
isdn4k-utils.x86_64: W: no-url-tag                                                         
isdn4k-utils.x86_64: E: shared-lib-without-dependency-information /usr/lib64/pppd/2.4.4/userpass.so
isdn4k-utils.x86_64: W: conffile-without-noreplace-flag /etc/rc.d/init.d/capi                      
isdn4k-utils.x86_64: W: conffile-without-noreplace-flag /etc/rc.d/init.d/isdn                      
isdn4k-utils.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/isdn4k-utils-3.2/_example/ipfwadm.txt
isdn4k-utils.x86_64: W: file-not-utf8 /usr/share/doc/isdn4k-utils-3.2/_example/ipfwadm.txt                  
isdn4k-utils.x86_64: E: executable-marked-as-config-file /etc/rc.d/init.d/capi                              
isdn4k-utils.x86_64: E: non-readable /sbin/vboxd 0750                                                       
isdn4k-utils.x86_64: E: non-standard-executable-perm /sbin/vboxd 0750                                       
isdn4k-utils.x86_64: W: file-not-utf8 /usr/share/doc/isdn4k-utils-3.2/_howto/pppcosts.txt                   
isdn4k-utils.x86_64: E: zero-length /etc/ppp/ioptions                                                       
isdn4k-utils.x86_64: E: non-readable /etc/ppp/peers/isdn/avm-ml 0600                                        
isdn4k-utils.x86_64: E: version-control-internal-file /usr/share/doc/isdn4k-utils-3.2/Mini-FAQ/CVS/Repository
isdn4k-utils.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/isdn4k-utils-3.2/_howto/vbox_sound.txt
isdn4k-utils.x86_64: W: file-not-utf8 /usr/share/doc/isdn4k-utils-3.2/_howto/vbox_sound.txt                  
isdn4k-utils.x86_64: E: version-control-internal-file /usr/share/doc/isdn4k-utils-3.2/Mini-FAQ/CVS/Entries   
isdn4k-utils.x86_64: W: file-not-utf8 /usr/share/doc/isdn4k-utils-3.2/vbox.txt                               
isdn4k-utils.x86_64: E: non-readable /sbin/pcbitctl 0750                                                     
isdn4k-utils.x86_64: E: non-standard-executable-perm /sbin/pcbitctl 0750                                     
isdn4k-utils.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/isdn4k-utils-3.2/_howto/masquerade.txt
isdn4k-utils.x86_64: E: version-control-internal-file /usr/share/doc/isdn4k-utils-3.2/_example/CVS/Root      
isdn4k-utils.x86_64: E: non-readable /etc/vbox/vboxd.conf 0640                                               
isdn4k-utils.x86_64: E: non-readable /sbin/avmcapictrl 0750                                                  
isdn4k-utils.x86_64: E: non-standard-executable-perm /sbin/avmcapictrl 0750                                  
isdn4k-utils.x86_64: E: non-readable /etc/vbox/vboxgetty.conf 0640                                           
isdn4k-utils.x86_64: E: version-control-internal-file /usr/share/doc/isdn4k-utils-3.2/_howto/CVS/Root        
isdn4k-utils.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/isdn4k-utils-3.2/_example/config.txt  
isdn4k-utils.x86_64: E: non-readable /sbin/ipppd 0700                                                        
isdn4k-utils.x86_64: E: non-standard-executable-perm /sbin/ipppd 0700                                        
isdn4k-utils.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/isdn4k-utils-3.2/_howto/pppbind.txt   
isdn4k-utils.x86_64: W: file-not-utf8 /usr/share/doc/isdn4k-utils-3.2/_howto/pppbind.txt                     
isdn4k-utils.x86_64: E: non-readable /sbin/hisaxctrl 0750                                                    
isdn4k-utils.x86_64: E: non-standard-executable-perm /sbin/hisaxctrl 0750                                    
isdn4k-utils.x86_64: E: version-control-internal-file /usr/share/doc/isdn4k-utils-3.2/_howto/CVS/Entries     
isdn4k-utils.x86_64: W: file-not-utf8 /usr/share/doc/isdn4k-utils-3.2/_howto/www-vbox.tar.gz                 
isdn4k-utils.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/isdn4k-utils-3.2/_howto/xp-howto.txt  
isdn4k-utils.x86_64: W: file-not-utf8 /usr/share/doc/isdn4k-utils-3.2/_howto/xp-howto.txt                    
isdn4k-utils.x86_64: E: version-control-internal-file /usr/share/doc/isdn4k-utils-3.2/_howto/CVS/Repository  
isdn4k-utils.x86_64: E: non-readable /usr/sbin/imon 0750                                                     
isdn4k-utils.x86_64: E: non-standard-executable-perm /usr/sbin/imon 0750                                     
isdn4k-utils.x86_64: W: file-not-utf8 /usr/share/doc/isdn4k-utils-3.2/EN-i4l.sgml                            
isdn4k-utils.x86_64: E: executable-marked-as-config-file /etc/rc.d/init.d/isdn                               
isdn4k-utils.x86_64: E: version-control-internal-file /usr/share/doc/isdn4k-utils-3.2/_example/CVS/Entries
isdn4k-utils.x86_64: E: zero-length /usr/share/doc/isdn4k-utils-3.2/standard.msg.example
isdn4k-utils.x86_64: W: file-not-utf8 /usr/share/doc/isdn4k-utils-3.2/_howto/leased_hisax2.txt
isdn4k-utils.x86_64: W: file-not-utf8 /usr/share/doc/isdn4k-utils-3.2/README.isdnlog
isdn4k-utils.x86_64: E: non-readable /etc/ppp/peers/isdn/leased 0600
isdn4k-utils.x86_64: E: version-control-internal-file /usr/share/doc/isdn4k-utils-3.2/CVS/Repository
isdn4k-utils.x86_64: W: file-not-utf8 /usr/share/doc/isdn4k-utils-3.2/_howto/leafsite.tar.gz
isdn4k-utils.x86_64: E: non-readable /etc/ppp/peers/isdn/arcor 0600
isdn4k-utils.x86_64: W: file-not-utf8 /usr/share/doc/isdn4k-utils-3.2/Mini-FAQ/isdn-faq.txt
isdn4k-utils.x86_64: E: non-readable /etc/ppp/peers/isdn/otelo 0600
isdn4k-utils.x86_64: E: non-readable /sbin/iprofd 0750
isdn4k-utils.x86_64: E: non-standard-executable-perm /sbin/iprofd 0750
isdn4k-utils.x86_64: W: file-not-utf8 /usr/share/doc/isdn4k-utils-3.2/vbox.sgml
isdn4k-utils.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/isdn4k-utils-3.2/_howto/dns.txt
isdn4k-utils.x86_64: E: version-control-internal-file /usr/share/doc/isdn4k-utils-3.2/Mini-FAQ/CVS/Root
isdn4k-utils.x86_64: E: version-control-internal-file /usr/share/doc/isdn4k-utils-3.2/CVS/Root
isdn4k-utils.x86_64: E: non-readable /sbin/mkzonedb 0750
isdn4k-utils.x86_64: E: non-standard-executable-perm /sbin/mkzonedb 0750
isdn4k-utils.x86_64: E: non-standard-dir-perm /var/spool/vbox 01777
isdn4k-utils.x86_64: E: non-readable /etc/ppp/peers/isdn/avm 0600
isdn4k-utils.x86_64: E: version-control-internal-file /usr/share/doc/isdn4k-utils-3.2/_example/CVS/Repository
isdn4k-utils.x86_64: W: file-not-utf8 /usr/share/man/man5/rate-files.5.gz
isdn4k-utils.x86_64: E: setuid-binary /usr/sbin/userisdnctl root 04755
isdn4k-utils.x86_64: E: non-standard-executable-perm /usr/sbin/userisdnctl 04755
isdn4k-utils.x86_64: E: version-control-internal-file /usr/share/doc/isdn4k-utils-3.2/CVS/Entries
isdn4k-utils.x86_64: W: file-not-utf8 /usr/share/doc/isdn4k-utils-3.2/_howto/lzscomp.txt
isdn4k-utils.x86_64: E: non-readable /etc/ppp/peers/isdn/talkline 0600
isdn4k-utils.x86_64: E: non-readable /sbin/icnctrl 0750
isdn4k-utils.x86_64: E: non-standard-executable-perm /sbin/icnctrl 0750
isdn4k-utils.x86_64: E: non-readable /sbin/loopctrl 0750
isdn4k-utils.x86_64: E: non-standard-executable-perm /sbin/loopctrl 0750
isdn4k-utils.x86_64: E: version-control-internal-file /usr/share/doc/isdn4k-utils-3.2/Mini-FAQ/.cvsignore
isdn4k-utils.x86_64: E: non-readable /sbin/isdnctrl 0750
isdn4k-utils.x86_64: E: non-standard-executable-perm /sbin/isdnctrl 0750
isdn4k-utils.x86_64: W: spurious-executable-perm /usr/share/doc/isdn4k-utils-3.2/Mini-FAQ/htmlify.pl
isdn4k-utils.x86_64: W: file-not-utf8 /usr/share/doc/isdn4k-utils-3.2/_howto/isdnpool.txt
isdn4k-utils.x86_64: W: log-files-without-logrotate /var/log/vbox
isdn4k-utils.x86_64: W: doc-file-dependency /usr/share/doc/isdn4k-utils-3.2/Mini-FAQ/htmlify.pl /usr/bin/perl
isdn4k-utils.x86_64: W: dangerous-command-in-%trigger chmod
isdn4k-utils.x86_64: W: service-default-enabled /etc/rc.d/init.d/capi
isdn4k-utils.x86_64: W: no-reload-entry /etc/rc.d/init.d/capi
isdn4k-utils.x86_64: W: service-default-enabled /etc/rc.d/init.d/isdn
isdn4k-utils.x86_64: E: incoherent-subsys /etc/rc.d/init.d/isdn isapnp_isdn
isdn4k-utils.x86_64: E: incoherent-subsys /etc/rc.d/init.d/isdn isapnp_isdn
isdn4k-utils.x86_64: E: incoherent-subsys /etc/rc.d/init.d/isdn isapnp_isdn
isdn4k-utils.x86_64: E: incoherent-subsys /etc/rc.d/init.d/isdn isdnlog
isdn4k-utils.x86_64: E: incoherent-subsys /etc/rc.d/init.d/isdn isdnlog
isdn4k-utils.x86_64: E: incoherent-subsys /etc/rc.d/init.d/isdn isdnlog
isdn4k-utils.x86_64: W: no-reload-entry /etc/rc.d/init.d/isdn
isdn4k-utils-debuginfo.x86_64: W: no-url-tag
isdn4k-utils-devel.x86_64: W: summary-ended-with-dot Static library and header files for capi development.
isdn4k-utils-devel.x86_64: W: no-url-tag
isdn4k-utils-devel.x86_64: W: no-documentation
isdn4k-utils-vboxgetty.x86_64: W: summary-ended-with-dot ISDN voice box (getty).
isdn4k-utils-vboxgetty.x86_64: W: no-url-tag
isdn4k-utils-vboxgetty.x86_64: E: non-readable /usr/sbin/vboxgetty 0750
isdn4k-utils-vboxgetty.x86_64: E: non-standard-executable-perm /usr/sbin/vboxgetty 0750
xisdnload.x86_64: W: summary-ended-with-dot An ISDN connection load average display for the X Window System.
xisdnload.x86_64: W: no-url-tag

- spec file name: OK
- package name: OK
- package version: Release tag should be in form 0.67.20091020cvs but as it's already out... NEED COMMENT
- license: no license found in ibod!!! legal concerns in LEGAL.ipppcomp NOT OK
- group: OK
- url: NOT OK, missing
- sources URL: NOT FOUND!!!
- md5sum: CAN'T CHECK
- exclude arch: OK, no s390 policy
- buildroot: NOT OK, should be %{name} not %name
- requires: OK
- descriptions: OK but summaries ends with dot
- build flags: missing smp_mflags, custom build flags?, NOT OK!!!
- macros used consistently: NOT OK, uses %{buildroot} and $RPM_BUILD_ROOT
- clean section: OK
- file attributes: NEED COMMENT, see rpmlint output
- docs: OK
- devel package: contains static library, should go to -static! NOT OK
 
- package builds on: F-12/x86_64 OK

Than, please commnent/fix, rpmlint is really big, I'll do final checks after this is solved.

Comment 2 Ngo Than 2010-02-18 19:24:03 UTC
all above report issues is fixed in http://koji.fedoraproject.org/koji/taskinfo?taskID=1997412

>isdn4k-utils.src: W: strange-permission capi.init 0775
>isdn4k-utils.src: W: strange-permission isdn.init 0775

it can only fixed on the server side, please ignore

>isdn4k-utils.i686: E: shared-lib-without-dependency-information >/usr/lib/pppd/2.4.4/userpass.so

it's plugin and statically linked. It's a issue in rpmlint. Please ignore

>isdn4k-utils.i686: E: non-readable /etc/ppp/peers/isdn/avm-ml 0600
>isdn4k-utils.i686: E: non-readable /etc/vbox/vboxd.conf 0640
>isdn4k-utils.i686: E: non-readable /etc/vbox/vboxgetty.conf 0640
>isdn4k-utils.i686: E: non-readable /etc/ppp/peers/isdn/leased 0600
>isdn4k-utils.i686: E: non-readable /etc/ppp/peers/isdn/arcor 0600
>isdn4k-utils.i686: E: non-readable /etc/ppp/peers/isdn/otelo 0600
>isdn4k-utils.i686: E: non-readable /etc/ppp/peers/isdn/avm 0600
>isdn4k-utils.i686: E: non-readable /etc/ppp/peers/isdn/talkline 0600

the files contains sensitive datas like passwords, the permission is correct

>isdn4k-utils.i686: W: log-files-without-logrotate /var/log/vbox
>isdn4k-utils.i686: W: dangerous-command-in-%trigger chmod
>isdn4k-utils.i686: W: service-default-enabled /etc/rc.d/init.d/capi
>isdn4k-utils.i686: W: no-reload-entry /etc/rc.d/init.d/capi
>isdn4k-utils.i686: W: service-default-enabled /etc/rc.d/init.d/isdn

it's not needed to be fixed, please ignore

>isdn4k-utils.i686: E: incoherent-subsys /etc/rc.d/init.d/isdn isapnp_isdn
>isdn4k-utils.i686: E: incoherent-subsys /etc/rc.d/init.d/isdn isapnp_isdn
>isdn4k-utils.i686: E: incoherent-subsys /etc/rc.d/init.d/isdn isapnp_isdn
>isdn4k-utils.i686: E: incoherent-subsys /etc/rc.d/init.d/isdn isdnlog
>isdn4k-utils.i686: E: incoherent-subsys /etc/rc.d/init.d/isdn isdnlog
>isdn4k-utils.i686: E: incoherent-subsys /etc/rc.d/init.d/isdn isdnlog

it's a bug in rpmlint, please ignore. This bug is already reported to rpmlint maintainer


>package version: Release tag should be in form 0.67.20091020cvs but as it's
>already out... NEED COMMENT

i don't think it's a must to fix it.. we can ignore it.

Comment 3 Jaroslav Reznik 2010-02-22 16:45:14 UTC
Ok,
thanks for fixes and comments.

APPROVED


Note You need to log in before you can comment on or make changes to this bug.